INSERT INTO ipedi.pedi
(pedi_ped_numped, 
pedi_procod, 
pedi_embcod, 
pedi_qt, 
pedi_vltotal, 
pedi_ped_codigo, 
pedi_vlipi, 
pedi_vlst)
values(
coluna[3],--pedi_ped_numped, 
substr(coluna[2]::text,1,length(coluna[2]::text)-5)::integer,--pedi_procod, 
substr(coluna[2]::text,length(coluna[2]::text)-4,5)::integer,--pedi_embcod, 
coluna[9],--pedi_qt, 
coluna[17],--pedi_vltotal, 
coluna[10],--pedi_ped_codigo, 
coluna[12],--pedi_vlipi, 
coluna[13]--pedi_vlst
)
ON CONFLICT ON CONSTRAINT pk_pedi
do
UPDATE SET 
pedi_ped_numped=EXCLUDED.pedi_ped_numped, 
pedi_procod=EXCLUDED.pedi_procod, 
pedi_embcod=EXCLUDED.pedi_embcod, 
pedi_qt=EXCLUDED.pedi_qt, 
pedi_vltotal=EXCLUDED.pedi_vltotal, 
pedi_ped_codigo=EXCLUDED.pedi_ped_codigo, 
pedi_vlipi=EXCLUDED.pedi_vlipi, 
pedi_vlst=EXCLUDED.pedi_vlst

REGISTRO[17]
ExecutarScriptSempre
